<?php

use kernel\App;
use kernel\CgRouteCollector;
use Phroute\Phroute\RouteCollector;

App::$collector->group(["prefix" => "admin"], function (CgRouteCollector $router) {
    App::$collector->group(["before" => "auth"], function (RouteCollector $router) {
        App::$collector->group(["prefix" => "slider"], function (CGRouteCollector $router) {
            App::$collector->get('/', [\kernel\app_modules\slider\controllers\SliderController::class, 'actionIndex']);
            App::$collector->get('/page/{page_number}', [\kernel\app_modules\slider\controllers\SliderController::class, 'actionIndex']);
            App::$collector->get('/create', [\kernel\app_modules\slider\controllers\SliderController::class, 'actionCreate']);
            App::$collector->post("/", [\kernel\app_modules\slider\controllers\SliderController::class, 'actionAdd']);
            App::$collector->get('/view/{id}', [\kernel\app_modules\slider\controllers\SliderController::class, 'actionView']);
            App::$collector->any('/update/{id}', [\kernel\app_modules\slider\controllers\SliderController::class, 'actionUpdate']);
            App::$collector->any("/edit/{id}", [\kernel\app_modules\slider\controllers\SliderController::class, 'actionEdit']);
            App::$collector->get('/delete/{id}', [\kernel\app_modules\slider\controllers\SliderController::class, 'actionDelete']);
        });
    });
});